Function
goPrevious
Iterates to pevious position.
goPrevious(iterator)
Include Headers
seqan/basic.h, seqan/graph_types.h
Parameters

iterator | An iterator. iterator is set to the pevious position of an iteration through its container. Types: BidirectionalIteratorConcept: ModifiedIterator Adjacency Iterator, Edge Iterator, Iter, Out-Edge Iterator, Segment, Vertex Iterator

Remarks
This function is equivalent to --iterator.
Member of
Out-Edge Iterator, Edge Iterator, Segment, Adjacency Iterator, Vertex Iterator
Example Programs
Iterator Basics
Part of Concept
BidirectionalIteratorConcept
See Also
goFurther, goEnd, goBegin, goNext
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58